import request from "../../request.js"


export function introductionList(id, longitude, latitude) {
	return request({
		url: `/nurseApplet/nearbyNursingStation/introductionList?nurseStationId=${id}&homeLongitude=${longitude}&homeLatitude=${latitude}`,
		method: 'GET',
		header: {
			Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		},
	})
}


export function itemList(id, pageSize, pageNum, nurseClassifyInfoId) {
	return request({
		url: `/nurseApplet/nearbyNursingStation/itemList?pageSize=${pageSize}&pageNum=${pageNum}&nurseStationId=${id}&nurseClassifyInfoId=${nurseClassifyInfoId}`,
		method: 'GET',
		header: {
			Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		},
	})
}

export function productInformation(id, pageNum, pageSize) {
	return request({
		url: `/nurseApplet/nearbyNursingStation/productInformation?pageSize=${pageSize}&pageNum=${pageNum}&nurseStationId=${id}`,
		method: 'GET',
		header: {
			Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		},
	})
}
